#hooks

push feature branch:

{"object_kind":"push","event_name":"push","before":"5e65c8674b4953f658c3023002d45651a4361e66","after":"5e65c8674b4953f658c3023002d45651a4361e66","ref":"refs/heads/master","checkout_sha":"5e65c8674b4953f658c3023002d45651a4361e66","message":null,"user_id":5619049,"user_name":"Lukas Noll","user_username":"lukas.noll","user_email":"","user_avatar":"https://secure.gravatar.com/avatar/118f2769df70f25b4db0351cb894d6e5?s=80\u0026d=identicon","project_id":17508768,"project":{"id":17508768,"name":"hooks","description":"","web_url":"https://gitlab.com/lukas.noll/hooks","avatar_url":null,"git_ssh_url":"git@gitlab.com:lukas.noll/hooks.git","git_http_url":"https://gitlab.com/lukas.noll/hooks.git","namespace":"Lukas Noll","visibility_level":20,"path_with_namespace":"lukas.noll/hooks","default_branch":"master","ci_config_path":null,"homepage":"https://gitlab.com/lukas.noll/hooks","url":"git@gitlab.com:lukas.noll/hooks.git","ssh_url":"git@gitlab.com:lukas.noll/hooks.git","http_url":"https://gitlab.com/lukas.noll/hooks.git"},"commits":[{"id":"5e65c8674b4953f658c3023002d45651a4361e66","message":"Initial commit","title":"Initial commit","timestamp":"2020-03-16T08:40:40+00:00","url":"https://gitlab.com/lukas.noll/hooks/-/commit/5e65c8674b4953f658c3023002d45651a4361e66","author":{"name":"Lukas Noll","email":"lukas.noll@ebcont.com"},"added":["README.md"],"modified":[],"removed":[]}],"total_commits_count":1,"push_options":{},"repository":{"name":"hooks","url":"git@gitlab.com:lukas.noll/hooks.git","description":"","homepage":"https://gitlab.com/lukas.noll/hooks","git_http_url":"https://gitlab.com/lukas.noll/hooks.git","git_ssh_url":"git@gitlab.com:lukas.noll/hooks.git","visibility_level":20}}

amend feature branch:

{"object_kind":"push","event_name":"push","before":"0000000000000000000000000000000000000000","after":"5e65c8674b4953f658c3023002d45651a4361e66","ref":"refs/heads/branch1","checkout_sha":"5e65c8674b4953f658c3023002d45651a4361e66","message":null,"user_id":5619049,"user_name":"Lukas Noll","user_username":"lukas.noll","user_email":"","user_avatar":"https://secure.gravatar.com/avatar/118f2769df70f25b4db0351cb894d6e5?s=80\u0026d=identicon","project_id":17508768,"project":{"id":17508768,"name":"hooks","description":"","web_url":"https://gitlab.com/lukas.noll/hooks","avatar_url":null,"git_ssh_url":"git@gitlab.com:lukas.noll/hooks.git","git_http_url":"https://gitlab.com/lukas.noll/hooks.git","namespace":"Lukas Noll","visibility_level":20,"path_with_namespace":"lukas.noll/hooks","default_branch":"master","ci_config_path":null,"homepage":"https://gitlab.com/lukas.noll/hooks","url":"git@gitlab.com:lukas.noll/hooks.git","ssh_url":"git@gitlab.com:lukas.noll/hooks.git","http_url":"https://gitlab.com/lukas.noll/hooks.git"},"commits":[],"total_commits_count":0,"push_options":{},"repository":{"name":"hooks","url":"git@gitlab.com:lukas.noll/hooks.git","description":"","homepage":"https://gitlab.com/lukas.noll/hooks","git_http_url":"https://gitlab.com/lukas.noll/hooks.git","git_ssh_url":"git@gitlab.com:lukas.noll/hooks.git","visibility_level":20}}

merge request:

{"object_kind":"merge_request","event_type":"merge_request","user":{"name":"Lukas Noll","username":"lukas.noll","avatar_url":"https://secure.gravatar.com/avatar/118f2769df70f25b4db0351cb894d6e5?s=80\u0026d=identicon","email":"lukas.noll@ebcont.com"},"project":{"id":17508768,"name":"hooks","description":"","web_url":"https://gitlab.com/lukas.noll/hooks","avatar_url":null,"git_ssh_url":"git@gitlab.com:lukas.noll/hooks.git","git_http_url":"https://gitlab.com/lukas.noll/hooks.git","namespace":"Lukas Noll","visibility_level":20,"path_with_namespace":"lukas.noll/hooks","default_branch":"master","ci_config_path":null,"homepage":"https://gitlab.com/lukas.noll/hooks","url":"git@gitlab.com:lukas.noll/hooks.git","ssh_url":"git@gitlab.com:lukas.noll/hooks.git","http_url":"https://gitlab.com/lukas.noll/hooks.git"},"object_attributes":{"assignee_id":5619049,"author_id":5619049,"created_at":"2020-03-16 09:00:25 UTC","description":"","head_pipeline_id":null,"id":52645030,"iid":1,"last_edited_at":null,"last_edited_by_id":null,"merge_commit_sha":null,"merge_error":null,"merge_params":{"force_remove_source_branch":"1"},"merge_status":"unchecked","merge_user_id":null,"merge_when_pipeline_succeeds":false,"milestone_id":null,"source_branch":"branch1","source_project_id":17508768,"state_id":1,"target_branch":"master","target_project_id":17508768,"time_estimate":0,"title":"Initial commit","updated_at":"2020-03-16 09:00:25 UTC","updated_by_id":null,"url":"https://gitlab.com/lukas.noll/hooks/-/merge_requests/1","source":{"id":17508768,"name":"hooks","description":"","web_url":"https://gitlab.com/lukas.noll/hooks","avatar_url":null,"git_ssh_url":"git@gitlab.com:lukas.noll/hooks.git","git_http_url":"https://gitlab.com/lukas.noll/hooks.git","namespace":"Lukas Noll","visibility_level":20,"path_with_namespace":"lukas.noll/hooks","default_branch":"master","ci_config_path":null,"homepage":"https://gitlab.com/lukas.noll/hooks","url":"git@gitlab.com:lukas.noll/hooks.git","ssh_url":"git@gitlab.com:lukas.noll/hooks.git","http_url":"https://gitlab.com/lukas.noll/hooks.git"},"target":{"id":17508768,"name":"hooks","description":"","web_url":"https://gitlab.com/lukas.noll/hooks","avatar_url":null,"git_ssh_url":"git@gitlab.com:lukas.noll/hooks.git","git_http_url":"https://gitlab.com/lukas.noll/hooks.git","namespace":"Lukas Noll","visibility_level":20,"path_with_namespace":"lukas.noll/hooks","default_branch":"master","ci_config_path":null,"homepage":"https://gitlab.com/lukas.noll/hooks","url":"git@gitlab.com:lukas.noll/hooks.git","ssh_url":"git@gitlab.com:lukas.noll/hooks.git","http_url":"https://gitlab.com/lukas.noll/hooks.git"},"last_commit":{"id":"51f9bdf5382d138ef651a33604868a9f9404b79f","message":"Initial commit\n","title":"Initial commit","timestamp":"2020-03-16T09:58:18+01:00","url":"https://gitlab.com/lukas.noll/hooks/-/commit/51f9bdf5382d138ef651a33604868a9f9404b79f","author":{"name":"Lukas Noll","email":"lukas.noll@ebcont.com"}},"work_in_progress":false,"total_time_spent":0,"human_total_time_spent":null,"human_time_estimate":null,"assignee_ids":[5619049],"state":"opened","action":"open"},"labels":[],"changes":{"author_id":{"previous":null,"current":5619049},"created_at":{"previous":null,"current":"2020-03-16 09:00:25 UTC"},"description":{"previous":null,"current":""},"id":{"previous":null,"current":52645030},"iid":{"previous":null,"current":1},"merge_params":{"previous":{},"current":{"force_remove_source_branch":"1"}},"source_branch":{"previous":null,"current":"branch1"},"source_project_id":{"previous":null,"current":17508768},"target_branch":{"previous":null,"current":"master"},"target_project_id":{"previous":null,"current":17508768},"title":{"previous":null,"current":"Initial commit"},"updated_at":{"previous":null,"current":"2020-03-16 09:00:25 UTC"},"assignees":{"previous":[],"current":[{"name":"Lukas Noll","username":"lukas.noll","avatar_url":"https://secure.gravatar.com/avatar/118f2769df70f25b4db0351cb894d6e5?s=80\u0026d=identicon","email":"lukas.noll@ebcont.com"}]},"total_time_spent":{"previous":null,"current":0}},"repository":{"name":"hooks","url":"git@gitlab.com:lukas.noll/hooks.git","description":"","homepage":"https://gitlab.com/lukas.noll/hooks"},"assignees":[{"name":"Lukas Noll","username":"lukas.noll","avatar_url":"https://secure.gravatar.com/avatar/118f2769df70f25b4db0351cb894d6e5?s=80\u0026d=identicon","email":"lukas.noll@ebcont.com"}]}



build / pipeline:

build:

stage, status: "running" or "success" or "failure"

{"object_kind":"build","ref":"branch1","tag":false,"before_sha":"2ca74c7ef1f71ada25902187324c9f2f0b5362fe","sha":"2b8eba4fd78c25dafeacd30e12c72e59914f8d5c","build_id":472810786,"build_name":"fmt","build_stage":"check","build_status":"running","build_started_at":"2020-03-16 09:11:30 UTC","build_finished_at":null,"build_duration":0.099465688,"build_allow_failure":false,"build_failure_reason":"unknown_failure","pipeline_id":126601905,"runner":{"id":44949,"description":"shared-runners-manager-4.gitlab.com","active":true,"is_shared":true},"project_id":17508768,"project_name":"Lukas Noll / hooks","user":{"name":"Lukas Noll","username":"lukas.noll","avatar_url":"https://secure.gravatar.com/avatar/118f2769df70f25b4db0351cb894d6e5?s=80\u0026d=identicon","email":"lukas.noll@ebcont.com"},"commit":{"id":126601905,"sha":"2b8eba4fd78c25dafeacd30e12c72e59914f8d5c","message":"Initial commit\n","author_name":"Lukas Noll","author_email":"lukas.noll@ebcont.com","author_url":"https://gitlab.com/lukas.noll","status":"running","duration":null,"started_at":"2020-03-16 09:11:30 UTC","finished_at":null},"repository":{"name":"hooks","url":"git@gitlab.com:lukas.noll/hooks.git","description":"","homepage":"https://gitlab.com/lukas.noll/hooks","git_http_url":"https://gitlab.com/lukas.noll/hooks.git","git_ssh_url":"git@gitlab.com:lukas.noll/hooks.git","visibility_level":20}}
{"object_kind":"build","ref":"branch1","tag":false,"before_sha":"2ca74c7ef1f71ada25902187324c9f2f0b5362fe","sha":"2b8eba4fd78c25dafeacd30e12c72e59914f8d5c","build_id":472810786,"build_name":"fmt","build_stage":"check","build_status":"success","build_started_at":"2020-03-16 09:11:30 UTC","build_finished_at":"2020-03-16 09:12:24 UTC","build_duration":53.218893,"build_allow_failure":false,"build_failure_reason":"unknown_failure","pipeline_id":126601905,"runner":{"id":44949,"description":"shared-runners-manager-4.gitlab.com","active":true,"is_shared":true},"project_id":17508768,"project_name":"Lukas Noll / hooks","user":{"name":"Lukas Noll","username":"lukas.noll","avatar_url":"https://secure.gravatar.com/avatar/118f2769df70f25b4db0351cb894d6e5?s=80\u0026d=identicon","email":"lukas.noll@ebcont.com"},"commit":{"id":126601905,"sha":"2b8eba4fd78c25dafeacd30e12c72e59914f8d5c","message":"Initial commit\n","author_name":"Lukas Noll","author_email":"lukas.noll@ebcont.com","author_url":"https://gitlab.com/lukas.noll","status":"running","duration":null,"started_at":"2020-03-16 09:11:30 UTC","finished_at":null},"repository":{"name":"hooks","url":"git@gitlab.com:lukas.noll/hooks.git","description":"","homepage":"https://gitlab.com/lukas.noll/hooks","git_http_url":"https://gitlab.com/lukas.noll/hooks.git","git_ssh_url":"git@gitlab.com:lukas.noll/hooks.git","visibility_level":20}}


final pipeline event:
{"object_kind":"pipeline","object_attributes":{"id":126601905,"ref":"branch1","tag":false,"sha":"2b8eba4fd78c25dafeacd30e12c72e59914f8d5c","before_sha":"2ca74c7ef1f71ada25902187324c9f2f0b5362fe","source":"push","status":"success","detailed_status":"passed","stages":["check","test","build"],"created_at":"2020-03-16 09:11:29 UTC","finished_at":"2020-03-16 09:14:08 UTC","duration":156,"variables":[]},"merge_request":null,"user":{"name":"Lukas Noll","username":"lukas.noll","avatar_url":"https://secure.gravatar.com/avatar/118f2769df70f25b4db0351cb894d6e5?s=80\u0026d=identicon","email":"lukas.noll@ebcont.com"},"project":{"id":17508768,"name":"hooks","description":"","web_url":"https://gitlab.com/lukas.noll/hooks","avatar_url":null,"git_ssh_url":"git@gitlab.com:lukas.noll/hooks.git","git_http_url":"https://gitlab.com/lukas.noll/hooks.git","namespace":"Lukas Noll","visibility_level":20,"path_with_namespace":"lukas.noll/hooks","default_branch":"master","ci_config_path":null},"commit":{"id":"2b8eba4fd78c25dafeacd30e12c72e59914f8d5c","message":"Initial commit\n","title":"Initial commit","timestamp":"2020-03-16T10:11:22+01:00","url":"https://gitlab.com/lukas.noll/hooks/-/commit/2b8eba4fd78c25dafeacd30e12c72e59914f8d5c","author":{"name":"Lukas Noll","email":"lukas.noll@ebcont.com"}},"builds":[{"id":472810791,"stage":"build","name":"build","status":"success","created_at":"2020-03-16 09:11:30 UTC","started_at":"2020-03-16 09:13:17 UTC","finished_at":"2020-03-16 09:14:08 UTC","when":"on_success","manual":false,"allow_failure":false,"user":{"name":"Lukas Noll","username":"lukas.noll","avatar_url":"https://secure.gravatar.com/avatar/118f2769df70f25b4db0351cb894d6e5?s=80\u0026d=identicon","email":"lukas.noll@ebcont.com"},"runner":{"id":380987,"description":"shared-runners-manager-6.gitlab.com","active":true,"is_shared":true},"artifacts_file":{"filename":null,"size":null}},{"id":472810788,"stage":"test","name":"test","status":"success","created_at":"2020-03-16 09:11:29 UTC","started_at":"2020-03-16 09:12:25 UTC","finished_at":"2020-03-16 09:13:16 UTC","when":"on_success","manual":false,"allow_failure":false,"user":{"name":"Lukas Noll","username":"lukas.noll","avatar_url":"https://secure.gravatar.com/avatar/118f2769df70f25b4db0351cb894d6e5?s=80\u0026d=identicon","email":"lukas.noll@ebcont.com"},"runner":{"id":44028,"description":"shared-runners-manager-3.gitlab.com","active":true,"is_shared":true},"artifacts_file":{"filename":null,"size":null}},{"id":472810786,"stage":"check","name":"fmt","status":"success","created_at":"2020-03-16 09:11:29 UTC","started_at":"2020-03-16 09:11:30 UTC","finished_at":"2020-03-16 09:12:24 UTC","when":"on_success","manual":false,"allow_failure":false,"user":{"name":"Lukas Noll","username":"lukas.noll","avatar_url":"https://secure.gravatar.com/avatar/118f2769df70f25b4db0351cb894d6e5?s=80\u0026d=identicon","email":"lukas.noll@ebcont.com"},"runner":{"id":44949,"description":"shared-runners-manager-4.gitlab.com","active":true,"is_shared":true},"artifacts_file":{"filename":null,"size":null}},{"id":472810785,"stage":"check","name":"vet","status":"success","created_at":"2020-03-16 09:11:29 UTC","started_at":"2020-03-16 09:11:30 UTC","finished_at":"2020-03-16 09:12:23 UTC","when":"on_success","manual":false,"allow_failure":false,"user":{"name":"Lukas Noll","username":"lukas.noll","avatar_url":"https://secure.gravatar.com/avatar/118f2769df70f25b4db0351cb894d6e5?s=80\u0026d=identicon","email":"lukas.noll@ebcont.com"},"runner":{"id":380986,"description":"shared-runners-manager-5.gitlab.com","active":true,"is_shared":true},"artifacts_file":{"filename":null,"size":null}}]}

delete branch:
{"object_kind":"push","event_name":"push","before":"c02a673eab30047a5d56984b6b07c3ce5e8dbeaf","after":"0000000000000000000000000000000000000000","ref":"refs/heads/branch1","checkout_sha":null,"message":null,"user_id":5619049,"user_name":"Lukas Noll","user_username":"lukas.noll","user_email":"","user_avatar":"https://secure.gravatar.com/avatar/118f2769df70f25b4db0351cb894d6e5?s=80\u0026d=identicon","project_id":17508768,"project":{"id":17508768,"name":"hooks","description":"","web_url":"https://gitlab.com/lukas.noll/hooks","avatar_url":null,"git_ssh_url":"git@gitlab.com:lukas.noll/hooks.git","git_http_url":"https://gitlab.com/lukas.noll/hooks.git","namespace":"Lukas Noll","visibility_level":20,"path_with_namespace":"lukas.noll/hooks","default_branch":"master","ci_config_path":null,"homepage":"https://gitlab.com/lukas.noll/hooks","url":"git@gitlab.com:lukas.noll/hooks.git","ssh_url":"git@gitlab.com:lukas.noll/hooks.git","http_url":"https://gitlab.com/lukas.noll/hooks.git"},"commits":[],"total_commits_count":0,"push_options":{},"repository":{"name":"hooks","url":"git@gitlab.com:lukas.noll/hooks.git","description":"","homepage":"https://gitlab.com/lukas.noll/hooks","git_http_url":"https://gitlab.com/lukas.noll/hooks.git","git_ssh_url":"git@gitlab.com:lukas.noll/hooks.git","visibility_level":20}}

merge to master: (simple push event)
{"object_kind":"push","event_name":"push","before":"5e65c8674b4953f658c3023002d45651a4361e66","after":"c02a673eab30047a5d56984b6b07c3ce5e8dbeaf","ref":"refs/heads/master","checkout_sha":"c02a673eab30047a5d56984b6b07c3ce5e8dbeaf","message":null,"user_id":5619049,"user_name":"Lukas Noll","user_username":"lukas.noll","user_email":"","user_avatar":"https://secure.gravatar.com/avatar/118f2769df70f25b4db0351cb894d6e5?s=80\u0026d=identicon","project_id":17508768,"project":{"id":17508768,"name":"hooks","description":"","web_url":"https://gitlab.com/lukas.noll/hooks","avatar_url":null,"git_ssh_url":"git@gitlab.com:lukas.noll/hooks.git","git_http_url":"https://gitlab.com/lukas.noll/hooks.git","namespace":"Lukas Noll","visibility_level":20,"path_with_namespace":"lukas.noll/hooks","default_branch":"master","ci_config_path":null,"homepage":"https://gitlab.com/lukas.noll/hooks","url":"git@gitlab.com:lukas.noll/hooks.git","ssh_url":"git@gitlab.com:lukas.noll/hooks.git","http_url":"https://gitlab.com/lukas.noll/hooks.git"},"commits":[{"id":"c02a673eab30047a5d56984b6b07c3ce5e8dbeaf","message":"Initial commit\n","title":"Initial commit","timestamp":"2020-03-16T10:20:10+01:00","url":"https://gitlab.com/lukas.noll/hooks/-/commit/c02a673eab30047a5d56984b6b07c3ce5e8dbeaf","author":{"name":"Lukas Noll","email":"lukas.noll@ebcont.com"},"added":[".gitlab-ci.yml","docker-compose.yml","go.mod","logstash.conf","main.go"],"modified":["README.md"],"removed":[]}],"total_commits_count":1,"push_options":{},"repository":{"name":"hooks","url":"git@gitlab.com:lukas.noll/hooks.git","description":"","homepage":"https://gitlab.com/lukas.noll/hooks","git_http_url":"https://gitlab.com/lukas.noll/hooks.git","git_ssh_url":"git@gitlab.com:lukas.noll/hooks.git","visibility_level":20}}